# Method: projects.locations.catalogs.databases.create

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/create#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/create#body.aspect_1)

Creates a new database.

### HTTP request

`POST https://biglake.googleapis.com/v1/{parent=projects/*/locations/*/catalogs/*}/databases`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this database will be created. Format: projects/{project_id_or_number}/locations/{locationId}/catalogs/{catalogId} |

### Query parameters

| Parameters ||
|---|---|
| `databaseId` | `string` Required. The ID to use for the database, which will become the final component of the database's resource name. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases#Database`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases#Database`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `biglake.databases.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).